package ru.soune.nocopy.entity.tarif;

import lombok.Getter;

import java.util.List;

@Getter
public enum TariffTimeTerm {
    MONTHLY(30, "MONTHLY"),YEAR(365, "YEAR");

    private final Integer days;
    private final String name;

    TariffTimeTerm(Integer days, String name) {
        this.days = days;
        this.name = name;
    }

    public static List<String> validTerms() {
        return List.of(MONTHLY.name(), YEAR.name());
    }
}
